%define oname		mx
%define name		lib%{oname}
%define libversion	1.0
%define gir_major	1.0

%define major           2
%define libname		%mklibname %{oname} %{libversion} %{major}
%define develname	%mklibname %{oname} %{libversion} -d
%define girname		%mklibname %{oname}-gir %{gir_major}

%define gtkmajor	0
%define	gtklibname	%mklibname %{oname}-gtk %{libversion} %{gtkmajor}
%define	gtkdevelname	%mklibname %{oname}-gtk	%{libversion} -d
%define	gtkgirname	%mklibname %{oname}-gtk-gir %{gir_major}

Name:		%{name}
Version:	1.3.0
Release:	%mkrel 2
Summary:	A clutter widget toolkit
Group:		System/Libraries
License:	LGPLv2
URL:		http://www.clutter-project.org
Source0:	http://source.clutter-project.org/sources/mx/1.3/mx-%{version}.tar.xz
Patch0:		mx-1.3.0-gdk-pixbuf.patch
BuildRequires:	clutter-imcontext-devel
BuildRequires:	clutter-gesture-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  gobject-introspection-devel

%description
Mx is a widget toolkit using Clutter that provides a set of standard interface
elements, including buttons, progress bars, scroll bars and others. It also
implements some standard  managers. One other interesting feature is the
possibility setting style properties from a CSS format file.

%package -n %{libname}
Summary:	Run-time library for %{name} clutter widget toolkit
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Run-time library for the %{name} clutter widget toolkit.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files and libraries used for development with MX toolkit.


%prep
%setup -q -n mx-%{version}
%patch0 -p1 -b .gdk-pixbuf

%build
%configure2_5x \
	--disable-static \
	--enable-introspection \
	--with-clutter-imcontext \
	--with-clutter-gesture
%make V=1

%install
rm -rf %{buildroot}
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{oname}-1.0

%clean
rm -rf %{buildroot}

%files -f mx-1.0.lang
%defattr(-,root,root,-)
%doc COPYING.LIB README ChangeLog
%{_bindir}/mx-create-image-cache
%{_datadir}/%{oname}

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}-%{libversion}.so.%{major}*
%{_libdir}/%{name}-gtk-%{libversion}.so.%{gtkmajor}*
%{_libdir}/girepository-1.0/Mx-%{gir_major}.typelib
%{_libdir}/girepository-1.0/MxGtk-%{gir_major}.typelib

%files -n %{develname}
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{oname}
%dir %{_includedir}/%{oname}-%{libversion}
%{_includedir}/%{oname}-%{libversion}/%{oname}
%{_libdir}/pkgconfig/%{oname}-%{libversion}.pc
%{_libdir}/%{name}-%{libversion}.so
%{_datadir}/gir-1.0/Mx-%{gir_major}.gir
%doc %{_datadir}/gtk-doc/html/%{oname}-gtk
%{_includedir}/%{oname}-%{libversion}/%{oname}-gtk
%{_libdir}/pkgconfig/%{oname}-gtk-%{libversion}.pc
%{_libdir}/%{name}-gtk-%{libversion}.so
%{_datadir}/gir-1.0/MxGtk-%{gir_major}.gir


%changelog
* Thu Sep 22 2011 Texstar <texstar at gmail.com> 1.3.0-2pclos2011
- rebuild

* Tue Sep 06 2011 Texstar <texstar at gmail.com> 1.3.0-1pclos2011
- 1.3.0
